package at.fhstp.dgruenberger.finishedexample

import android.content.Context
import kotlinx.serialization.encodeToString
import kotlinx.serialization.json.Json

actual class NoteStoreImpl(val context: Context? = null) : NoteStore {
    override fun loadNotes(): List<Note> {
        context?.let {
            val sharedPref = it.getSharedPreferences(KEY_NOTES_SHARED_PREFS, Context.MODE_PRIVATE)
            sharedPref.getString(KEY_NOTES_SHARED_PREFS, null)?.let { notesJson ->
                return Json.decodeFromString<List<Note>>(notesJson)
            }
        }
        return emptyList()
    }

    override fun saveNotes(notes: List<Note>) {
        context?.let {
            val sharedPref = it.getSharedPreferences(KEY_NOTES_SHARED_PREFS, Context.MODE_PRIVATE)
            with(sharedPref.edit()) {
                putString(KEY_NOTES_SHARED_PREFS, Json.encodeToString(notes))
                apply()
            }
        }
    }

    companion object {
        private const val KEY_NOTES_SHARED_PREFS = "KEY_NOTES_SHARED_PREFS"
    }
}