package at.fhstp.dgruenberger.finishedexample

import kotlinx.browser.localStorage
import kotlinx.serialization.encodeToString
import kotlinx.serialization.json.Json

actual class NoteStoreImpl : NoteStore {
    override fun loadNotes(): List<Note> {
        val notes = localStorage.getItem(KEY_NOTES_LOCAL_STORAGE)?.let {
            Json.decodeFromString<List<Note>>(it)
        }
        return notes ?: emptyList()
    }

    override fun saveNotes(notes: List<Note>) {
        val notesJson = Json.encodeToString(notes)
        localStorage.setItem(KEY_NOTES_LOCAL_STORAGE, notesJson)
    }

    companion object {
        private const val KEY_NOTES_LOCAL_STORAGE = "KEY_NOTES_LOCAL_STORAGE"
    }
}